/*
 * JNDITestCaseServlet.java
 * 
 * Created on 20.8.2007, 21:34:53
 * 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package local.sandbox.jnditestcase;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import javax.annotation.Resource;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.sql.DataSource;

/**
 *
 * @author petr
 */
public class JNDITestCaseServlet extends HttpServlet {
    
    private static final long serialVersionUID = 1L;
    
    @Resource(name="jdbc/PostgreSQL/ct")
    DataSource dataSource;
    
    public JNDITestCaseServlet() {
    }
    
    @Override
    protected void doGet(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        response.setContentType("text/plain");
        response.setCharacterEncoding("UTF-8");
        
        PrintWriter output = response.getWriter();
        
        try {
            java.sql.Connection conn = dataSource.getConnection();
            
            PreparedStatement stmt = conn.prepareStatement("SELECT 1");
            
            ResultSet rset = stmt.executeQuery();
            
            rset.next();
            
            output.println(rset.getInt(1));
            
            rset.close();
            
            stmt.close();
            
            conn.close();
        } catch (Exception ex) {
            ex.printStackTrace(output);
        }
        
        output.close();
    }
    
}
